package com.bocloud.cmp.model.azure.automation;

import java.util.Date;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: LogAnalyticModel
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2020/8/8 14:00
 */
public class LogAnalyticModel {
    private String uuid;
    private String name;
    private String resourceGroupName;
    private String regionId;
    private String type;
    //properties
    private String customerId;
    private String source;
    private String status;
    private Integer retentionInDays;
    private Date gmtCreate; //创建时间 gmt_create
    private Date gmtModify; //更新时间 gmt_modify
    //sku
    private String sku;
    private Integer maxCapacityReservationLevel;
    //workspaceCapping
    private Integer dailyQuotaGb;
    private String dataIngestionStatus;
    //other
    private String primarySharedKey;
    private String secondarySharedKey;
    private String automationAccountUuid;
    private String automationAccountName;

    public String getAutomationAccountName() {
        return automationAccountName;
    }

    public void setAutomationAccountName(String automationAccountName) {
        this.automationAccountName = automationAccountName;
    }

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Integer getRetentionInDays() {
        return retentionInDays;
    }

    public void setRetentionInDays(Integer retentionInDays) {
        this.retentionInDays = retentionInDays;
    }

    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public Date getGmtModify() {
        return gmtModify;
    }

    public void setGmtModify(Date gmtModify) {
        this.gmtModify = gmtModify;
    }

    public String getSku() {
        return sku;
    }

    public void setSku(String sku) {
        this.sku = sku;
    }

    public Integer getMaxCapacityReservationLevel() {
        return maxCapacityReservationLevel;
    }

    public void setMaxCapacityReservationLevel(Integer maxCapacityReservationLevel) {
        this.maxCapacityReservationLevel = maxCapacityReservationLevel;
    }

    public Integer getDailyQuotaGb() {
        return dailyQuotaGb;
    }

    public void setDailyQuotaGb(Integer dailyQuotaGb) {
        this.dailyQuotaGb = dailyQuotaGb;
    }

    public String getDataIngestionStatus() {
        return dataIngestionStatus;
    }

    public void setDataIngestionStatus(String dataIngestionStatus) {
        this.dataIngestionStatus = dataIngestionStatus;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getCustomerId() {
        return customerId;
    }

    public void setCustomerId(String customerId) {
        this.customerId = customerId;
    }

    public String getPrimarySharedKey() {
        return primarySharedKey;
    }

    public void setPrimarySharedKey(String primarySharedKey) {
        this.primarySharedKey = primarySharedKey;
    }

    public String getSecondarySharedKey() {
        return secondarySharedKey;
    }

    public void setSecondarySharedKey(String secondarySharedKey) {
        this.secondarySharedKey = secondarySharedKey;
    }

    public String getAutomationAccountUuid() {
        return automationAccountUuid;
    }

    public void setAutomationAccountUuid(String automationAccountUuid) {
        this.automationAccountUuid = automationAccountUuid;
    }

    public String getResourceGroupName() {
        return resourceGroupName;
    }

    public void setResourceGroupName(String resourceGroupName) {
        this.resourceGroupName = resourceGroupName;
    }

    public String getRegionId() {
        return regionId;
    }

    public void setRegionId(String regionId) {
        this.regionId = regionId;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}